重弘です.

> Date: Mon, 30 Aug 1999 14:09:15 +0900
> Subject: [ruby-list:16366] ruby on Compaq
> Message-Id: <14282.4921.362716.72159A / studly.private.netlab.co.jp>

>  ・Compaq Alpha station
>  ・Compaq Tru64 UNIX

> という環境でRubyが動くか、という質問を受けたのですが、どなたかご
> 存知ありませんでしょうか。

マシン:  VT-Alpha600 (21164 を積んだ Alpha の互換機)
OS: DIGITAL UNIX (と箱に書いてある, Linux ではない方の UNIX)
コンパイラ: gcc

  (これで, お問い合わせのものと同じ環境だと思うのですが,
   もしかすると, 違うかも知れない...)

で ruby-1.4.0 はコンパイルできました.
お仕事のプログラムを動かしたところ, 無事動きました.

 ----

と思っていたのですが,

今, 試してみると, 少なくとも, tcl/tk 関係はうまくいってないようです.

$ ruby tkhello.rb
/usr/local/lib/ruby/1.4/tk.rb:409:in `new': can't read "tk_library": no such variable (RuntimeError)
        from /usr/local/lib/ruby/1.4/tk.rb:409
        from tkhello.rb:1:in `require'
        from tkhello.rb:1
$

こんなエラーが出ました.

(これは, もしかすると, tcl/tk 側の責任かなぁ ??)
 tcl も tk も 8.0jp ですが, 構わないですよねぇ ??)

 ----

ということで, 今のところ

 - コンパイルも make test も OK.
 - tcl/tk 関係は保証できない. その他, ライブラリ関係は未確認.

というのが, 私からの情報です.

暇ができたら, また調べてみます.

----
重弘裕二
大阪工業大学工学部電気工学科 (sigehiro / ee.oit.ac.jp)